Skip to main content
PUT
/
api
/
decks
/
{deckId}
/
intro
Upsert intro page config
curl --request PUT \
  --url https://app.demand-iq.com/api/decks/{deckId}/intro \
  --header 'Content-Type: application/json' \
  --cookie session= \
  --data '
{
  "backgroundImage": "<string>",
  "headline": "Your Custom Solar Proposal",
  "subtitle": "<string>",
  "ctaButtonLabel": "View My Proposal"
}
'
{}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Path Parameters

deckId
string<uuid>
required

Body

application/json
backgroundImage
string
required

S3 key for the intro background image

headline
string
required
Example:

"Your Custom Solar Proposal"

subtitle
string
ctaButtonLabel
string
Example:

"View My Proposal"

Response

Saved intro config

intro
object